<?php
/**
 * @brief improve, a plugin for Dotclear 2
 *
 * @package Dotclear
 * @subpackage Plugin
 *
 * @author Jean-Christian Denis and contributors
 *
 * @copyright Jean-Christian Denis
 * @copyright GPL-2.0 https://www.gnu.org/licenses/gpl-2.0.html
 */
return [
    'php' => [
        ['Clearbricks::lib\(', 'Clearbricks::lib()', 'namespaces', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['Clearbricks::add\(', 'Clearbricks::add()', 'namespaces', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['toExtStatic\(', 'dcRecord::toExtStatic()', 'Dotclear\Database\MetaRecord::toStatic()', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        //['(themes|plugins)->setModules\(', 'adminModulesList::setModules()', 'ModulesList::setDefine()', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        //['(themes|plugins)->getModules\(', 'adminModulesList::getModules()', 'ModulesList::getDefines()', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['->sanitizeModule\(', 'adminModulesList::sanitizeModule()', 'ModulesList::fillSanitizeModule()', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['->fillSanitizeModule\(', 'adminModulesList::fillSanitizeModule()', 'ModulesList::fillSanitizeModule()', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['->isDistributedModule\(', 'adminModulesList::isDistributedModule()', 'ModulesList::getDefine($id)->distributed', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(themes|plugins)->getModules\(', 'dcModules::getModules()', 'dcModules::getDefines()', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(themes|plugins)->getAnyModules\(', 'dcModules::getAnyModules()', 'dcModules::getDefines()', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(themes|plugins)->getDisabledModules\(', 'dcModules::getDisabledModules()', "dcModules::getDefines(['state' => '!' . dcModuleDefine::STATE_ENABLED])", '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(themes|plugins)->getHardDisabledModules\(', 'dcModules::getHardDisabledModules()', "dcModules::getDefines(['state' => dcModuleDefine::STATE_HARD_DISABLED])", '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(themes|plugins)->getSoftDisabledModules\(', 'dcModules::getSoftDisabledModules()', "dcModules::getDefines(['state' => dcModuleDefine::STATE_SOFT_DISABLED])", '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(themes|plugins)->moduleRoot\(', 'dcModules::moduleRoot()', "dcModules::getDefine(\$id, ['state' => dcModuleDefine::STATE_ENABLED])->root", '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(themes|plugins)->loadNsFiles\(', 'dcModules::loadNsFiles()', __('nothing'), '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['store->getModules\(', 'dcStoreParser::getModules()', 'dcStoreParser::getDefines()', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['store->get\(', 'dcStoreParser::get()', 'dcStoreParser::getDefine()', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['store->search\(', 'dcStoreParser::search()', 'dcStoreParser::searchDefines()', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['dcUtils::removeDiacritics\(', 'dcUtils::removeDiacritics()', 'Text::removeDiacritics()', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],

        ['(form::button|formButton)\(', 'formButton', 'Dotclear\Helper\Html\Form\Button', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::checkbox|formCheckbox)\(', 'formCheckbox', 'Dotclear\Helper\Html\Form\Checkbox', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::color|formColor)\(', 'formColor', 'Dotclear\Helper\Html\Form\Color', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::component|formComponent)\(', 'formComponent', 'Dotclear\Helper\Html\Form\Component', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::date|formDate)\(', 'formDate', 'Dotclear\Helper\Html\Form\Date', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::datetime|formDatetime)\(', 'formDatetime', 'Dotclear\Helper\Html\Form\Datetime', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::div|formDiv)\(', 'formDiv', 'Dotclear\Helper\Html\Form\Div', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::email|formEmail)\(', 'formEmail', 'Dotclear\Helper\Html\Form\Email', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::fieldset|formFieldset)\(', 'formFieldset', 'Dotclear\Helper\Html\Form\Fieldset', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::file|formFile)\(', 'formFile', 'Dotclear\Helper\Html\Form\File', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::form|formForm)\(', 'formForm', 'Dotclear\Helper\Html\Form\Form', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::hidden|formHidden)\(', 'formHidden', 'Dotclear\Helper\Html\Form\Hidden', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::input|formInput)\(', 'formInput', 'Dotclear\Helper\Html\Form\Input', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::label|formLabel)\(', 'formLabel', 'Dotclear\Helper\Html\Form\Label', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::legend|formLegend)\(', 'formLegend', 'Dotclear\Helper\Html\Form\Legend', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::link|formLink)\(', 'formLink', 'Dotclear\Helper\Html\Form\Link', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::note|formNote)\(', 'formNote', 'Dotclear\Helper\Html\Form\Note', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::number|formNumber)\(', 'formNumber', 'Dotclear\Helper\Html\Form\Number', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::optGroup|formOptgroup)\(', 'formOptgroup', 'Dotclear\Helper\Html\Form\Optgroup', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::option|formOption)\(', 'formOption', 'Dotclear\Helper\Html\Form\Option', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::para|formPara)\(', 'formPara', 'Dotclear\Helper\Html\Form\Para', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::password|formPassword)\(', 'formPassword', 'Dotclear\Helper\Html\Form\Password', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::radio|formRadio)\(', 'formRadio', 'Dotclear\Helper\Html\Form\Radio', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::select|formSelect)\(', 'formSelect', 'Dotclear\Helper\Html\Form\Select', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::submit|formSubmit)\(', 'formSubmit', 'Dotclear\Helper\Html\Form\Submit', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::text|formText)\(', 'formText', 'Dotclear\Helper\Html\Form\Text', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::textArea|formTextarea)\(', 'formTextarea', 'Dotclear\Helper\Html\Form\Textarea', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::time|formTime)\(', 'formTime', 'Dotclear\Helper\Html\Form\Time', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(form::url|formUrl)\(', 'formUrl', 'Dotclear\Helper\Html\Form\Url', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['diff(\(|::)', 'diff', 'Dotclear\Helper\Diff\Diff', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['tidyDiff(\(|::)', 'tidyDiff', 'Dotclear\Helper\Diff\TidyDiff', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['tidyDiffChunk(\(|::)', 'tidyDiffChunk', 'Dotclear\Helper\Diff\TidyDiffChunk', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['tidyDiffLine(\(|::)', 'tidyDiffLine', 'Dotclear\Helper\Diff\TidyDiffLine', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['crypt(\(|::)', 'crypt', 'Dotclear\Helper\Crypt', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['\smail(\(|::)', 'mail', 'Dotclear\Helper\Network\Mail\Mail', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['socketMail(\(|::)', 'socketMail', 'Dotclear\Helper\Network\Mail\MailSocket', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['\spager(\(|::)', 'pager', 'Dotclear\Helper\Html\Pager', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['\sxmlTag(\(|::)', 'xmlTag', 'Dotclear\Helper\Html\XmlTag', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['\srestServer(\(|::)', 'restServer', 'Dotclear\Helper\RestServer', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)text::', 'text', 'Dotclear\Helper\Text', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)files::', 'files', 'Dotclear\Helper\File\Files', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)path::', 'path', 'Dotclear\Helper\File\Path', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)filemanager(\(|::)', 'filemanager', 'Dotclear\Helper\File\Manager', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)fileItem(\(|::)', 'fileItem', 'Dotclear\Helper\File\File', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)html(\(|::)', 'html', 'Dotclear\Helper\Html\Html', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)htmlFilter(\(|::)', 'htmlFilter', 'Dotclear\Helper\Html\HtmlFilter', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)http(\(|::)', 'http', 'Dotclear\Helper\Network\Http', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)wiki2xhtml(\(|::)', 'wiki2xhtml', 'Dotclear\Helper\Html\WikiToHtml', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)template(\(|::)', 'template', 'Dotclear\Helper\Html\Template\Template', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['tplNode\(', 'tplNode', 'Dotclear\Helper\Html\Template\TplNode', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['tplNodeBlock\(', 'tplNodeBlock', 'Dotclear\Helper\Html\Template\TplNodeBlock', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['tplNodeText\(', 'tplNodeText', 'Dotclear\Helper\Html\Template\TplNodeText', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['tplNodeValue\(', 'tplNodeValue', 'Dotclear\Helper\Html\Template\TplNodeValue', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['tplNodeBlockDefinition\(', 'tplNodeBlockDefinition', 'Dotclear\Helper\Html\Template\TplNodeBlockDefinition', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['htmlValidator(\(|::)', 'htmlValidator', 'Dotclear\Helper\Html\HtmlValidator', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['netSocket\(', 'netSocket', 'Dotclear\Helper\Network\Socket\Socket', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['l10n(\(|::)', 'l10n', 'Dotclear\Helper\L10n', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)imageMeta(\(|::)', 'imageMeta', 'Dotclear\Helper\File\Image\ImageMeta', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)imageTools(\(|::)', 'imageTools', 'Dotclear\Helper\File\Image\ImageTools', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)urlHandler(\(|::)', 'urlHandler', 'Dotclear\Helper\Network\UrlHandler', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)xmlrpcException(\(|::)', 'xmlrpcException', 'Dotclear\Helper\Network\XmlRpc\XmlRpcException', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)xmlrpcValue(\(|::)', 'xmlrpcValue', 'Dotclear\Helper\Network\XmlRpc\Value', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)xmlrpcMessage(\(|::)', 'xmlrpcMessage', 'Dotclear\Helper\Network\XmlRpc\Message', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)xmlrpcRequest(\(|::)', 'xmlrpcRequest', 'Dotclear\Helper\Network\XmlRpc\Request', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)xmlrpcDate(\(|::)', 'xmlrpcDate', 'Dotclear\Helper\Network\XmlRpc\Date', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)xmlrpcBase64(\(|::)', 'xmlrpcBase64', 'Dotclear\Helper\Network\XmlRpc\Base64', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)xmlrpcClient(\(|::)', 'xmlrpcClient', 'Dotclear\Helper\Network\XmlRpc\Client', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)xmlrpcClientMulticall(\(|::)', 'xmlrpcClientMulticall', 'Dotclear\Helper\Network\XmlRpc\ClientMulticall', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)xmlrpcBasicServer(\(|::)', 'xmlrpcBasicServer', 'Dotclear\Helper\Network\XmlRpc\BasicServer', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)xmlrpcIntrospectionServer(\(|::)', 'xmlrpcIntrospectionServer', 'Dotclear\Helper\Network\XmlRpc\IntrospectionServer', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)feedParser(\(|::)', 'feedParser', 'Dotclear\Helper\Network\Feed\Parser', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)feedReader(\(|::)', 'feedReader', 'Dotclear\Helper\Network\Feed\Reader', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dt(\(|::)', 'dt', 'Dotclear\Helper\Date', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)fileZip(\(|::)', 'fileZip', 'Dotclear\Helper\File\Zip\Zip', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)fileUnzip(\(|::)', 'fileUnzip', 'Dotclear\Helper\File\Zip\Unzip', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dcSqlStatement(\(|::)', 'dcSqlStatement', 'Dotclear\Database\Statement\SqlStatement', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dcSelectStatement(\(|::)', 'dcSelectStatement', 'Dotclear\Database\Statement\SelectStatement', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dcJoinStatement(\(|::)', 'dcJoinStatement', 'Dotclear\Database\Statement\JoinStatement', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dcUpdateStatement(\(|::)', 'dcUpdateStatement', 'Dotclear\Database\Statement\UpdateStatement', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dcInsertStatement(\(|::)', 'dcInsertStatement', 'Dotclear\Database\Statement\InsertStatement', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dcDeleteStatement(\(|::)', 'dcDeleteStatement', 'Dotclear\Database\Statement\DeleteStatement', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dcTruncateStatement(\(|::)', 'dcTruncateStatement', 'Dotclear\Database\Statement\TruncateStatement', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)sessionDB(\(|::)', 'sessionDB', 'Dotclear\Database\Session', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)cursor(\(|::)', 'cursor', 'Dotclear\Database\Cursor', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)record(\(|::)', 'record', 'Dotclear\Database\StaticRecord', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)staticRecord(\(|::)', 'staticRecord', 'Dotclear\Database\StaticRecord', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)extStaticRecord(\(|::)', 'extStaticRecord', 'Dotclear\Database\StaticRecord', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)i_dbLayer(\(|::)', 'i_dbLayer', 'Dotclear\Database\InterfaceHandler', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dbLayer(\(|::)', 'dbLayer', 'Dotclear\Database\AbstractHandler', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)i_dbSchema(\(|::)', 'i_dbSchema', 'Dotclear\Database\InterfaceSchema', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dbSchema(\(|::)', 'dbSchema', 'Dotclear\Database\AbstractSchema', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dbStruct(\(|::)', 'dbStruct', 'Dotclear\Database\Structure', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
        ['(\(|\s)dbStructTable(\(|::)', 'dbStructTable', 'Dotclear\Database\Table', '2.26', 'https://dotclear.watch/Billet/Release-2.26'],
    ],
];
